<template>
	<fix-base-style :styleSpacing="styleSpacing">
		<view class="fix-wechat" v-show="is_show">
			<!-- #ifdef MP-WEIXIN -->
			<official-account @bindload="load" @binderror="error"></official-account>
			<!-- #endif -->
		</view>
	</fix-base-style>
</template>

<script lang="ts" name="fix-wechat" setup>
import { ref } from "vue";
import { baseProps } from "../../hooks";

defineProps({ ...baseProps });
const is_show = ref(false);
function load() {
	is_show.value = true;
}
function error() {
	is_show.value = false;
}
</script>

<style lang="scss" scoped>
.fix-wechat {
	box-sizing: border-box;
	overflow: hidden;
}
</style>
